<?php
namespace Admin\Controller;
use Think\Controller;
class XiaoduiController extends AdminController {
	public function _initialize(){
		parent::_initialize();        
		if(!in_array(session('admin.job'),array(6)))
			$this->error('权限不足，无法访问此页面');
	}
	public function see(){
		if(IS_POST){
			$s=M('admin')->where(array('id'=>I('userid')))->field('type,nickname,shenhe')->find();
			if(!$s)
				$this->error('未找到此用户');
			$nickname=$s['nickname'];
			if($s['type']<1&&$s['shenhe']==NULL)
				$this->error('该用户未通过审核且未激活不能进行此操作');
			$data=array(
				'bumen'=>session('admin.bumen'),
				'tuandui'=>session('admin.tuandui'),
				'xiaozu'=>session('admin.xiaozu'),
				'xiaodui'=>I('xiaodui'),
				'job'=>'7',
				);
			$isok=isok($data);
			if($isok!==true)
				$this->error($isok);
			switch (I('type')) {
				case 'add':
				$data['rhtime']=time();
				$note='会员:'.$nickname.'加入'.btzd(I('tuandui'))." ".btzd(I('xiaozu'))." ".btzd(I('xiaodui')).",职务：".job(I('job'))."by ".session('admin.nickname');
				break;
				case 'edit':
				$note='会员:'.$nickname.'职务调整'.btzd(I('tuandui'))." ".btzd(I('xiaozu'))." ".btzd(I('xiaodui')).",职务：".job(I('job'))."by ".session('admin.nickname');
				break;
				default:
				$this->error('参数错误');
				break;
			}
			if(M('admin')->where(array('id'=>I('userid')))->save($data)){
				wlog($note,I('userid'),$nickname);
				$this->success('修改信息成功！');
			}else{
				$this->success(C('MSG'));
			}
		}else{
			if(!I('get.id')||!is_numeric(I('get.id')))
				$this->error('页面不存在！');
			if(!$info=M('admin')->where(array('id'=>I('get.id')))->find())
				$this->error('没有这个人');
			if($info['xiaodui']!=session('admin.xiaodui')&&$info['job']!=0)
				$this->error('不属于本队');
			if($info['job']<session('admin.job')&&$info['job']!=0)
				$this->error('无权查看');
			$this->u=$info;
			$this->job=getauth(session('admin'),1);
			$this->display();
		}
	}
	public function index(){
		$this->user=M('admin')->where(array('id'=>session('admin.id')))->select();
		$this->display();
	}
	public function tlist(){
		$id=I('id');
		if(empty($id)) $this->error('参数错误！');
		$content=M('admin')->where(array('xiaodui'=>$id,'job'=>7))->select();
		$this->user=$content;
		$this->display();
	}
	public function tuijian(){
		if(!I('nickname')){
			$this->error('参数错误！');
		}
		switch (I('type')) {
			case 'no':
			$where['type']=0;
			break;
			case 'yes':
			$where['type']=1;
			break;
			default:
			break;
		}
		$where['tuijian']=I('nickname');
		$m=M('admin');
		$p=getpage($m, $where, 10);
		$user=$m->where($where)->select();
		$this->nickname=I('nickname');
		$this->p=$p->show();
		$this->user=$user;
		$this->display();
	}

	public function tongguo(){
		$id=I('get.id');
		$nickname=I('get.nickname');
		if(!$id&&is_numeric($id))
			$this->error('参数错误!');
		$f=M('admin')->where(array('id'=>$id))->field('shiming')->find();
		if($f['shiming']!=1)
			$this->error('该用户未提交或已经通过实名');
		if(M('admin')->where(array('id'=>$id))->setField('shiming',2)){
			wlog('会员 '.$nickname." 实名认证通过，by ".session('admin.nickname'),$id,$nickname);
			$this->success('对用户实名认证通过成功');
		}else{
			$this->error(C('MSG'));
		}
	}

	public function butongguo(){
		$id=I('get.id');
		$nickname=I('get.nickname');
		if(!$id&&is_numeric($id))
			$this->error('参数错误!');
		$f=M('admin')->where(array('id'=>$id))->field('shiming')->find();
		if($f['shiming']!=1)
			$this->error('该用户未提交或已经通过实名');
		if(M('admin')->where(array('id'=>$id))->setField('shiming',0)){
			wlog('会员 '.$nickname." 实名认证没能通过(请按照规定重新上传资料)，by ".session('admin.nickname'),$id,$nickname);
			$this->success('对用户实名认证驳回成功');
		}else{
			$this->error(C('MSG'));
		}
	}

	public function fengjin(){
		$id=I('get.id');
		$nickname=I('get.nickname');
		if(!$id&&is_numeric($id))
			$this->error('参数错误!');
		$f=M('admin')->where(array('id'=>$id))->field('nickname,state,xiaodui')->find();
		if($f['state']==0)
			$this->error('此用户已经被封禁了');
		if($f['xiaodui']!=session('admin.xiaodui'))
			$this->error('此用户不是本队成员，无权限封禁');
		if(M('admin')->where(array('id'=>$id))->setField('state',0)){
			wlog('会员 '.$f['nickname']." 被封禁 账号无法使用，by ".session('admin.nickname'),$id,$f['nickname']);
			$this->success('对用户封禁成功');
		}else{
			$this->error(C('MSG'));
		}
	}

	public function jiefeng(){
		$id=I('get.id');
		$nickname=I('get.nickname');
		if(!$id&&is_numeric($id))
			$this->error('参数错误!');
		$f=M('admin')->where(array('id'=>$id))->field('nickname,state,xiaodui')->find();
		if($f['state']==1)
			$this->error('此用户为正常状态，不需要解封');
		if($f['xiaodui']!=session('admin.xiaodui'))
			$this->error('此用户不是本队成员，无权限封禁');
		if(M('admin')->where(array('id'=>$id))->setField('state',1)){
			wlog('会员 '.$f['nickname']." 封禁解除 账号恢复正常，by ".session('admin.nickname'),$id,$f['nickname']);
			$this->success('对用户解封成功');
		}else{
			$this->error(C('MSG'));
		}
	}
}